Qt 5.6 | Qt Print Support | C++ Classes | QAbstractPrintDialog

Qt 5.6.2 Reference Documentation

# Obsolete Members for QAbstractPrintDialog

The following members of class QAbstractPrintDialog are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` void | addEnabledOption(PrintDialogOption option)
`(obsolete)` PrintDialogOptions | enabledOptions() const
`(obsolete)` bool | isOptionEnabled(PrintDialogOption option) const
`(obsolete)` void | setEnabledOptions(PrintDialogOptions options)

## Member Function Documentation

### void QAbstractPrintDialog::addEnabledOption(PrintDialogOption option)

Use QPrintDialog::setOption(option, true) instead.

### PrintDialogOptions QAbstractPrintDialog::enabledOptions() const

Use QPrintDialog::options() instead.

See also setEnabledOptions().

### bool QAbstractPrintDialog::isOptionEnabled(PrintDialogOption option) const

Use QPrintDialog::testOption(option) instead.

### void QAbstractPrintDialog::setEnabledOptions(PrintDialogOptions options)

Use QPrintDialog::setOptions() instead.

See also enabledOptions().